<?php 
defined('C5_EXECUTE') or die("Access Denied.");
$th = Loader::helper('text');
$c = Page::getCurrentPage();
$ih = Core::make("helper/image");
$counter = 0;
$lineBreakThree = 3;
$lineBreakTwo = 2;

?>

<div class="ccm-block-page-list-wrapper seren-portfolio-threecol centered">
  <?php  if ($pageListTitle): ?>
  <div class="ccm-block-page-list-header">
    <h5><?php  echo $pageListTitle?></h5>
  </div>
  <?php  endif; ?>
  <div class="seren-portfolio-list row" id="seren-portfolio">
    <?php  foreach ($pages as $page):

		$title = $th->entities($page->getCollectionName());
		$url = $nh->getLinkToCollection($page);
		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
		$target = empty($target) ? '_self' : $target;
		$thumbnail = $page->getAttribute('seren_thumbnail');
        $hoverLinkText = $title;
        $description = $page->getCollectionDescription();
        $description = $controller->truncateSummaries ? $th->wordSafeShortText($description, $controller->truncateChars) : $description;
        $description = $th->entities($description);
        if ($useButtonForLink) {
            $hoverLinkText = $buttonLinkText;
        }

	if(($counter !=0 and $counter % $lineBreakTwo === 0))
	{
		echo '<div class="clearfix visible-sm"></div>';
	}

	if(($counter !=0 and $counter % $lineBreakThree === 0))
		{
			echo '<div class="clearfix visible-md visible-lg"></div>';
	}
?>
    <div class="col-xs-12 col-sm-6 col-md-4 seren-portfolio-listitem">
      <?php  if (is_object($thumbnail)): ?>
      <div class="seren-img-hover"> <a href="<?php  echo $url ?>" target="<?php  echo $target ?>">
        <?php 
                $img = Core::make('html/image', array($thumbnail));
                $tag = $img->getTag();
                $tag->addClass('img-responsive');
                print $tag;
                ?>
        <div class="caption seren-portfolio-caption">
          <p class="seren-portfolio-description-icon white"> + </p>
          <p class="seren-portfolio-description white"> <?php  echo $hoverLinkText?> </p>
        </div>
        <!-- /.caption --> 
        
        </a> </div>
      <!-- /.seren-img-hover -->
      <div class="seren-portfolio-thumb-bottom">
        <?php  if ($useButtonForLink) { ?>
        <div class="ccm-block-page-list-title"> <?php  echo $title; ?> </div>
        <?php  } ?>
        <?php  if ($includeDate): ?>
        <div class="ccm-block-page-list-date"><?php  echo $date?></div>
        <?php  endif; ?>
        <?php  if ($includeDescription): ?>
        <div class="ccm-block-page-list-description"> <?php  echo $description ?> </div>
        <?php  endif; ?>
        <?php  endif; ?>
      </div>
    </div>
    <?php 
    	$counter = $counter + 1;
?>
    <?php  endforeach; ?>
    <div class="clearfix"></div>
    <?php  if (count($pages) == 0): ?>
    <div class="ccm-block-page-list-no-pages"><?php  echo $noResultsMessage?></div>
    <?php  endif;?>
  </div>
  <?php  if ($showPagination): ?>
  <?php  echo $pagination;?>
  <?php  endif; ?>
  <?php  if ( $c->isEditMode() && $controller->isBlockEmpty()): ?>
  <div class="ccm-edit-mode-disabled-item"><?php  echo t('Empty Page List Block.')?></div>
  <?php  endif; ?>
</div>
