<?php  
namespace Concrete\Package\Seren\Theme\Seren;
use Concrete\Core\Page\Theme\Theme;

class PageTheme extends Theme {

	public function registerAssets() {
       	$this->requireAsset('javascript', 'jquery');
		$this->providesAsset('css', 'font-awesome');
        $this->providesAsset('javascript', 'bootstrap/*');
		$this->providesAsset('css', 'bootstrap/*');
		$this->providesAsset('javascript', 'backstretch');
		$this->providesAsset('javascript', 'retinajs');
	}

   	protected $pThemeGridFrameworkHandle = 'bootstrap3';
	
	public function getThemeBlockClasses()
    {
        return array(

            'image' => array(
                'seren-fade',
            )
        );
    }

  public function getThemeEditorClasses()
{
    return array(
        array('title' => t('Seren Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren btn-xlg'),
		array('title' => t('Seren Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren btn-lg'),
		array('title' => t('Seren Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-seren btn-default'),
        array('title' => t('Seren Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren btn-sm'),
		array('title' => t('Seren Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren btn-xsm'),
		array('title' => t('Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-transparent btn-xlg'),
		array('title' => t('Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-transparent btn-lg'),
		array('title' => t('Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-transparent btn-default'),
        array('title' => t('Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-transparent btn-sm'),
		array('title' => t('Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-transparent btn-xsm'),
		array('title' => t('Light Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-light-transparent btn-xlg'),
		array('title' => t('Light Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-light-transparent btn-lg'),
		array('title' => t('Light Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-light-transparent btn-default'),
        array('title' => t('Light Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-light-transparent btn-sm'),
		array('title' => t('Light Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-light-transparent btn-xsm'),
		array('title' => t('Dark Transparent Button Extra-Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-dark-transparent btn-xlg'),
		array('title' => t('Dark Transparent Button Large'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-dark-transparent btn-lg'),
		array('title' => t('Dark Transparent Button Default'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-dark-transparent btn-default'),
        array('title' => t('Dark Transparent Button Small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-dark-transparent btn-sm'),
		array('title' => t('Dark Transparent Button Extra-small'), 'menuClass' => '', 'spanClass' => 'btn btn-seren-dark-transparent btn-xsm'),
		array('title' => t('Banner caption'), 'menuClass' => '', 'spanClass' => 'banner-caption'),
		array('title' => t('Handwritten Text'), 'menuClass' => '', 'spanClass' => 'seren-handwritten-font'),
		array('title' => t('Handwritten Text Bold'), 'menuClass' => '', 'spanClass' => 'seren-handwritten-font-bold')
		
    );
}
 

}
